I'm attempting to operate a script on my small local machine, I'm on Macosx leopard. I've PHP 5.2.x installed and Apache2. I'm attempting to test this script however i keep getting this error. I researched around just a little and saw something where it stated it could simply be on linux/unix machines however i discover that difficult to believe.

Try enabling the --enable-sysvmsg. The config.m4 file only inspections for that header sys/monosodium glutamate.h, therefore it should operate in Macosx.

Is support for individuals techniques included in your PHP install? It appears as if you have to clearly compile PHP with Semaphore, Shared Memory and IPC support.

Semaphore, Shared Memory and IPC: Installation